# IO::Uncompress Namespace containing the following modules: - [`IO::Uncompress::AnyInflate`](Uncompress/AnyInflate.md) - Uncompress zlib-based (zip, gzip) file/buffer - [`IO::Uncompress::AnyUncompress`](Uncompress/AnyUncompress.md) - Uncompress gzip, zip, bzip2, zstd, xz, lzma, lzip, lzf or lzop file/buffer - [`IO::Uncompress::Base`](Uncompress/Base.md) - Base Class for IO::Uncompress modules - [`IO::Uncompress::Bunzip2`](Uncompress/Bunzip2.md) - Read bzip2 files/buffers - [`IO::Uncompress::Gunzip`](Uncompress/Gunzip.md) - Read RFC 1952 files/buffers - [`IO::Uncompress::Inflate`](Uncompress/Inflate.md) - Read RFC 1950 files/buffers - [`IO::Uncompress::RawInflate`](Uncompress/RawInflate.md) - Read RFC 1951 files/buffers - [`IO::Uncompress::Unzip`](Uncompress/Unzip.md) - Read zip files/buffers ```{toctree} :hidden: :maxdepth: 1 Uncompress/AnyInflate Uncompress/AnyUncompress Uncompress/Base Uncompress/Bunzip2 Uncompress/Gunzip Uncompress/Inflate Uncompress/RawInflate Uncompress/Unzip ```